Skip to content

List manufactures

GET
/api/v1/manufactures
curl --request GET \
--url https://api.stocksmith.io/api/v1/manufactures \
--header 'Authorization: Bearer <token>'
page
integer

Page number (default: 1)

per_page
integer

Results per page (default: 25, max: 100)

Paginated list of manufactures

Media type application/json
object
manufactures
required
Array<object>
object
id
required
integer
product_id
required

ID of the associated product

integer
variation_id
integer
nullable
batch_code
string
nullable
production_status
required

E.g. ‘planned’, ‘in_progress’, ‘completed’

string
quantity
required

Planned quantity (decimal string)

string
actual_quantity
required

Actual completed quantity (decimal string)

string
minutes_worked
integer
nullable
notes
string
nullable
start_date
string format: date-time
nullable
completed_at
string format: date-time
nullable
deadline_at
string format: date-time
nullable
expiry_at
string format: date-time
nullable
line_items
required
Array<object>
object
id
integer
material_id

ID of the consumed material

integer
nullable
name

Material name

string
nullable
sku
string
nullable
unit_measure
string
nullable
quantity

Decimal string

string
lot_number
string
nullable
unit_price

Omitted for view-only users.

object
amount

Decimal string, e.g. ‘8.75’

string
currency_code

ISO 4217 code, e.g. ‘USD’

string
actual_unit_price

Omitted for view-only users.

object
amount

Decimal string, e.g. ‘8.75’

string
currency_code

ISO 4217 code, e.g. ‘USD’

string
created_at
string format: date-time
updated_at
string format: date-time
total_materials_cost

Omitted for view-only users.

object
amount

Decimal string, e.g. ‘8.75’

string
currency_code

ISO 4217 code, e.g. ‘USD’

string
total_labour_cost

Omitted for view-only users.

object
amount

Decimal string, e.g. ‘8.75’

string
currency_code

ISO 4217 code, e.g. ‘USD’

string
created_at
required
string format: date-time
updated_at
required
string format: date-time
meta
required
object
current_page
required
integer
total_pages
required
integer
total_count
required
integer
per_page
required
integer
Example generated
{
"manufactures": [
{
"id": 1,
"product_id": 1,
"variation_id": 1,
"batch_code": "example",
"production_status": "example",
"quantity": "example",
"actual_quantity": "example",
"minutes_worked": 1,
"notes": "example",
"start_date": "2026-04-15T12:00:00Z",
"completed_at": "2026-04-15T12:00:00Z",
"deadline_at": "2026-04-15T12:00:00Z",
"expiry_at": "2026-04-15T12:00:00Z",
"line_items": [
{
"id": 1,
"material_id": 1,
"name": "example",
"sku": "example",
"unit_measure": "example",
"quantity": "example",
"lot_number": "example",
"unit_price": {
"amount": "example",
"currency_code": "example"
},
"actual_unit_price": {
"amount": "example",
"currency_code": "example"
},
"created_at": "2026-04-15T12:00:00Z",
"updated_at": "2026-04-15T12:00:00Z"
}
],
"total_materials_cost": {
"amount": "example",
"currency_code": "example"
},
"total_labour_cost": {
"amount": "example",
"currency_code": "example"
},
"created_at": "2026-04-15T12:00:00Z",
"updated_at": "2026-04-15T12:00:00Z"
}
],
"meta": {
"current_page": 1,
"total_pages": 1,
"total_count": 1,
"per_page": 1
}
}

Missing or invalid Bearer token

Media type application/json
object
error
required

Error message

string
Example generated
{
"error": "example"
}